@import url(http://fonts.googleapis.com/css?family=Alegreya+Sans:300,300italic,400,400italic);

html, body {
    height: 100%;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

html {
    max-width: 1920px;
	max-height: 1200px;
	min-width: 1024px;
	min-height: 768px;
}

body {
    font-family: "Alegreya Sans", "Segoe UI", sans-serif;
	font-size: 14px;
    font-weight: 300;
    
    background: #111;
    color: #bbb;
}

p, ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

a {
    color: #ccc;
    text-decoration: none;
    outline: 0;
	
	text-shadow: 0 0 0 rgba(255, 255, 255, 0);

    transition-property: color, text-shadow;
    transition-duration: 1s;
}
    a:hover {
        color: #fff;

		text-shadow: 0 0 5px rgba(255, 255, 255, 1);
	
        transition-duration: 0.5s;
    }

.section {
    position: relative;
    padding: 0 10px;
}

    .section .tile {
        display: inline-block;
        margin-right: 40px;
        white-space: nowrap;
    }

.header {
    margin: 5px 0;
	font-size: 16px;
    font-weight: 400;
}

.carousel {
    position: relative;
    height: 100%;
    white-space: nowrap;
    overflow: hidden;
}
    .carousel .tile {
        display: inline;
        position: relative;
        height: 100%;
    }

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
	
#title {
	padding-top: 5px;
	padding-bottom: 5px;
    color: #eee;
    font-size: 48px;
	text-shadow: 0 0 10px rgba(255, 255, 255, 0.8);
}

#nav {
    font-size: 32px;
    padding-bottom: 10px;
}

	#nav .current {
		color: #eee;
	}

#showcase {
    position: relative;
    height: 500px;
    background: #000;
}

    #showcase img {
		position: relative;
        visibility: hidden;
        height: 100%;
        opacity: 0;
		
		box-shadow: 0 0 0 rgba(255, 255, 255, 0);
		
        transition-property: opacity, box-shadow;
        transition-duration: 1s;
    }
        #showcase img.loaded {
            visibility: visible;
            opacity: 1;
        }
		
        #showcase:hover img.loaded {
            opacity: 0.6;
        }
		
        #showcase:hover  img:hover {
			z-index: 1;
            opacity: 1;
		
			box-shadow: 0 0 20px rgba(255, 255, 255, 1);

            transition-duration: 0.5s;
        }

    #showcase #info {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
		
		z-index: 2;

        padding: 5px 10px 20px;

        opacity: 0;
        background: rgba(0, 0, 0, 0.7);
        color: #fff;

        transition-property: opacity;
        transition-duration: 1s;
		
		pointer-events: none;
    }
	
		#showcase:hover #info {
			opacity: 1;
            transition-duration: 0.5s;
		}
		
		#showcase #info .copyright {
			opacity: 0.6;
		}

#footer {
    padding-top: 5px;
    padding-bottom: 20px;
}

	#footer .tile {
		vertical-align: top;
	}
	
#footnote {
	float: right;
	margin: 0;
	padding-top: 5px;
	text-align: right;
	opacity: 0.5;
}

#overlay {
    visibility: hidden;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
		
	z-index: 3;
	
    background: rgba(0, 0, 0, 0.8) center/contain no-repeat;
    opacity: 0;

    transition-property: opacity, visibility;
    transition-duration: 0.5s;
}

    #overlay.visible {
        visibility: visible;
        opacity: 1.0;
    }

	#overlay .image {
		position: relative;
		width: 100%;
		height: 100%;
	}
	/*
    #overlay img {
        display: block;
        height: 100%;
        max-height: 1280px;
		object-fit: contain;
        margin: 0 auto;
    }*/
	
/* Flexbox */	
body {
	display: flex;
	flex-direction: column;
}

#showcase {
	flex: 1 1 auto;
}